Subject: bug#67925: 29.1; delete-rectangle fails on multi-column characters

From: Stefan Monnier <[email-masked]>
Date: Thu, 21 Dec 2023 16:12:56 -0500

>> I think wide characters may be replaced with SPC like TAB.
> I don't think I agree.   Let's see what others think Stefan, Juri,
> Stefan, any opinions?  Does anyone else have an opinion on this?

I think in those circumstances, all options suck, and I suspect that the
preferred behavior will depend on not only who you ask, but also what
the specific case looks like :-(

IME inserting SPCs is wrong when the text you started from doesn't
include any whitespace at all, for example.

And not inserting SPC tends to be equally wrong when alignment needs to
be preserved.

There's no way to win, unless we can find a way to let the user control
the behavior, which seems difficult to do without making the UI overlay complex.

        Stefan